# Copyright (C) 2008-2009 - INRIA - Michael Baudin
# Copyright (C) 2009-2010 - DIGITEO - Michael Baudin
# Copyright (C) 2010-2011 - Sebastien Bihorel
#
# This file must be used under the terms of the CeCILL.
# This source file is licensed as described in the file COPYING, which
# you should have received as part of this distribution. The terms
# are also available at
# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
#
# This source code is a R port of the optimbase component
# originally written by Michael Baudin for Scilab.

optimbase.get <- function(this=NULL,key=NULL){

  if (!any(key==c('-funevals','-iterations','-xopt','-fopt','-historyxopt',
                  '-historyfopt','-fx0','-status','-logstartup')))
    stop(sprintf('optimbase.get: Unknown key %s',key),
         call.=FALSE)

  if (key=='-funevals')   value <- this$funevals
  if (key=='-iterations') value <- this$iterations
  if (key=='-xopt')       value <- this$xopt
  if (key=='-fopt')       value <- this$fopt
  if (key=='-historyxopt'){
    if (!this$storehistory){
      stop('optimbase.get: History disabled ; enable -storehistory option.',
           call.=FALSE)
    } else {
      value <- this$historyxopt
    }
  }
  if (key=='-historyfopt'){
    if (!this$storehistory){
      stop('optimbase.get: History disabled ; enable -storehistory option.',
           call.=FALSE)
    } else {
      value <- this$historyfopt
    }
  }
  if (key=='-fx0')        value <- this$fx0
  if (key=='-status')     value <- this$status
  if (key=='-logstartup') value <- this$logstartup

  return(value)
  
}

